unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    chrtAccum: TChart;
    Series1: TAreaSeries;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Math, CodeSiteLogging;

procedure ConfigChart(const aChart: TChart; const aSwapAxis: boolean);
var
 lAxis: TChartAxis;
begin
  aChart.Title.Font.Size := 12;
  aChart.Title.Font.Style := [fsBold];
  aChart.Title.Font.Color := clNavy;
  aChart.Shadow.Visible := false;

  if aSwapAxis then
    lAxis := aChart.BottomAxis
  else
    lAxis := aChart.LeftAxis;

  lAxis.Title.Font.Size := 10;
  lAxis.Title.Font.Style := [fsBold];

  lAxis.LabelsFont.Size := 9;
  lAxis.LabelsSeparation := ifthen(aSwapAxis, 50, 100);
  lAxis.Axis.Width := 1;
  lAxis.Ticks.Visible := False;
  lAxis.MinorTicks.Visible := False;
  lAxis.TicksInner.Visible := False;
  lAxis.Grid.Color := clSilver;
  lAxis.Grid.Style := psDot;

  if aSwapAxis then
    lAxis := aChart.LeftAxis
  else
    lAxis := aChart.BottomAxis;

  lAxis.Title.Font.Size := 10;
  lAxis.Title.Font.Style := [fsBold];
  lAxis.Axis.Width := 1;
  lAxis.Grid.Visible := False;
  lAxis.MinorTicks.Visible := False;
  lAxis.TicksInner.Visible := False;

  lAxis.LabelsFont.Size := 9;
  lAxis.LabelsSeparation := ifthen(aSwapAxis, 100, 50);

  aChart.Color := clWhite;
  aChart.RightAxis.Visible := False;
  aChart.TopAxis.Visible := False;
  aChart.BackWall.Visible := False;

  aChart.LeftWall.Color := clWhite;

  aChart.Legend.Font.Size := 9;
  aChart.Legend.Symbol.Squared := True;
  //aChart.Legend.Symbol.DefaultPen := False;
  aChart.Legend.Symbol.Pen.Visible := False;
  aChart.Legend.Symbol.Shadow.Visible := False;
  aChart.Legend.Gradient.Visible := False;
  aChart.Legend.Shadow.Visible := False;
  aChart.Legend.Frame.Visible := False;

  aChart.View3D := False;
  aChart.Gradient.Visible := False;
  aChart.Zoom.Allow := false;
end;

procedure TForm1.FormCreate(Sender: TObject);
  function CreateAccumSeries(const aName: String; aParentChart: TChart; const aColor: TColor): TAreaSeries;
  begin
    result := TAreaSeries(aParentChart.AddSeries(TAreaSEries));
    result.Title := aName;
    result.MultiArea := maStacked;
    result.AreaLinesPen.Visible := False;
    result.LinePen.Visible := False;
    result.Color := aColor;
  end;

var
  lsrsTwoCharts: TAreaSeries;
  I: Integer;
begin
  chrtAccum.FreeAllSeries;

  ConfigChart(chrtAccum, false);
  lsrsTwoCharts := CreateAccumSeries('Test Series', chrtAccum, clBlue);
  lsrsTwoCharts.AddXY(EncodeDate(2018, 1, 31), 10000);
  lsrsTwoCharts.AddXY(EncodeDate(2018, 6, 30), 10000);

  lsrsTwoCharts := CreateAccumSeries('Test Series', chrtAccum, clBlue);
  lsrsTwoCharts.AddXY(EncodeDate(2018, 1, 31), 0);
  lsrsTwoCharts.AddXY(EncodeDate(2018, 6, 30), 0);

  CodeSite.Send('Chart', chrtAccum);
  CodeSite.Send('Series', lsrsTwoCharts);

end;

end.
